

include Makefile.vars

LIB = wfx.a

SUBDIRS = ext src

objects: $(LIB)

.PHONY:
$(LIB): subdirs
	ar cr $(LIB) `find -name \*.o |grep -v apps`

localclean: 
	rm -f $(LIB)

.PHONY:
apps:
	cd apps && make

count:
	@echo ".h   : ` find ./include/ -name \*.h -exec cat {} \; |wc`  " 
	@echo ".cpp : ` find ./src/ -name \*.cpp -exec cat {} \; |wc`  " 

